Subject: Re: [PATCH] Avoid gettimeofday when not needed

From: Ben Greear <[email-masked]>
Date: Wed, 31 Mar 2004 09:30:02 -0800

Andi Kleen wrote:
> On Wed, Mar 31, 2004 at 05:24:47PM +0300, Ville Nuorvala wrote:
> 
>>There just doesn't seem to be any general flag field in sk_buff that we
>>might use at this moment. Should one be added, or should we just hide the
>>flag inside the cb field using the likes of inet_skb_parm and
>>inet6_skb_parm?
> 
> 
> There are no free bits indeed. I think ->cb is the best choice then.

Why not add a 32-bit field to the skb to handle various flag needs
going forward?

If space is very important, could use an uint16 for flags and consolidate
the ip_summed and cloned fields, which seem to be boolean fields.

	unsigned char		local_df,
				cloned,
				pkt_type,
				ip_summed;
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com